Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.core
Class FacetContext

    java.lang.Object
      org.eclipse.gmt.modisco.infra.facet.core.FacetContext

    public class FacetContext

extends java.lang.Object

Author:
  Gregoire Dupe

Constructor Summary
`FacetContext()`

Method Summary
`void` | `addAll(java.util.Collection<FacetSet> allFacetSets)`
`void` | `addFacet(Facet facet)`
`void` | `addFacetSet(FacetSet facetSet)`
`void` | `addListener(FacetContextListener listener)`
`void` | `clear()`
`java.lang.Object` | `get(EObject eObject, EStructuralFeature structuralFeature)`
`java.util.Set<Facet>` | `getAppliedFacets()`
`` | `getAttributes(EObject eObject)`
`java.util.List<EStructuralFeature>` | `getFacetFeatures(EObject eObject)`
`java.util.List<Facet>` | `getFacets(EObject eObject)`
`java.util.List<EClass>` | `getMetaClasses()`
`` | `getReferences(EObject eObject)`
`boolean` | `isInstance(EObject eObject, Facet facet)`
`void` | `notifyFacetAdded(Facet facet)`
`void` | `notifyFacetsCleared()`
`void` | `removeListener(FacetContextListener listener)`
`void` | `setResources(java.util.Collection<Resource> resources)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetContext

    public FacetContext()

Method Detail

### setResources

    public void setResources(java.util.Collection<Resource> resources)

  Parameters:
    `resources` - the resources that will be used to resolve `Shortcut`s

### addFacetSet

    public void addFacetSet(FacetSet facetSet)

### addFacet

    public void addFacet(Facet facet)

### isInstance

    public boolean isInstance(EObject eObject,
                              Facet facet)
                       throws ModelQueryException

  Throws:
    `ModelQueryException`

### get

    public java.lang.Object get(EObject eObject,
                                EStructuralFeature structuralFeature)
                         throws ModelQueryException,
                                ModiscoFacetException

  Throws:
    `ModelQueryException`
    `ModiscoFacetException`

### getFacetFeatures

    public java.util.List<EStructuralFeature> getFacetFeatures(EObject eObject)

### addAll

    public void addAll(java.util.Collection<FacetSet> allFacetSets)

### getAttributes

    public  getAttributes(EObject eObject)
                        throws ModelQueryException

  Throws:
    `ModelQueryException`

### getReferences

    public  getReferences(EObject eObject)
                        throws ModelQueryException

  Throws:
    `ModelQueryException`

### getMetaClasses

    public java.util.List<EClass> getMetaClasses()

### getFacets

    public java.util.List<Facet> getFacets(EObject eObject)
                                    throws ModelQueryException

  Throws:
    `ModelQueryException`

### getAppliedFacets

    public java.util.Set<Facet> getAppliedFacets()

### clear

    public void clear()

### addListener

    public void addListener(FacetContextListener listener)

### removeListener

    public void removeListener(FacetContextListener listener)

### notifyFacetAdded

    public void notifyFacetAdded(Facet facet)

### notifyFacetsCleared

    public void notifyFacetsCleared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD